libcamera v0.5.1 Supporting cameras in Linux since 2019 |

Loading...
Searching...
No Matches
Classes | Public Types | Public Attributes | Static Public Attributes | List of all members
libcamera::DebayerParams Struct Reference

Struct to hold the debayer parameters. More...

## Classes
struct | CcmColumn
| Type of a single column of a color correction matrix (CCM) More...

## Public Types
using | LookupTable = std::array<uint8_t, kRGBLookupSize>
| Type of the lookup tables for single lookup values.
using | CcmLookupTable = std::array<CcmColumn, kRGBLookupSize>
| Type of the CCM lookup tables for red, green, blue values.

## Public Attributes
LookupTable | red
| Lookup table for red color, mapping input values to output values.
LookupTable | green
| Lookup table for green color, mapping input values to output values.
LookupTable | blue
| Lookup table for blue color, mapping input values to output values.
CcmLookupTable | redCcm
| Lookup table for the CCM red column, mapping input values to output values.
CcmLookupTable | greenCcm
| Lookup table for the CCM green column, mapping input values to output values.
CcmLookupTable | blueCcm
| Lookup table for the CCM blue column, mapping input values to output values.
LookupTable | gammaLut
| Gamma lookup table used with color correction matrix.

## Static Public Attributes
static constexpr unsigned int | kRGBLookupSize = 256
| Size of a color lookup table.

## Detailed Description

Struct to hold the debayer parameters.

The documentation for this struct was generated from the following files:

- include/libcamera/internal/software_isp/debayer_params.h
- src/libcamera/software_isp/debayer.cpp